Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class UserSelect

    java.lang.Object
      Operator.Operations.SelectionOperation
          Operator.Operations.UserSelect

All Implemented Interfaces:
  Operation, ParameterI

Direct Known Subclasses:
  SimpleUserSelect

    public abstract class UserSelect

extends SelectionOperation

The top N individuals are visually offered to the user and the user picks who should win. All chosen winners keep their fitness evaluation score and all loosers are modified to have the worst possible fitness

Author:
  eliott bartley

Field Summary

Fields inherited from class Operator.Operations.SelectionOperation
`selectedPopulation, size`

Constructor Summary
`UserSelect()` New instantion
`UserSelect(int size, int pickSize)` Creates a new instance of TournamentSelect

Method Summary
`protected void` | `defaultSelect(java.util.List<Individual> operands)`
`protected void` | `display(java.util.List<Individual> operands)`
`void` | `doOperation(Individual operand)` Performs the operation on an operand
`void` | `doOperation(java.util.List<Individual> operands)` Performs the operation on the list passed
`protected void` | `enableDone(boolean enable)`
`protected javax.swing.JPanel` | `getPanel()`
`protected static void` | `gridAdd(java.awt.Container container, java.awt.Container control, int gridX, int gridY, double weightX)` gridAdd(Container, Container, int, int, int, int, double, double) overload.
`protected static void` | `gridAdd(java.awt.Container container, java.awt.Container control, int gridX, int gridY, int gridW, int gridH, double weightX, double weightY)` Helper for adding a control to a GridBagLayout control
`protected abstract void` | `select(java.util.List<Individual> operands)`
`void` | `setProperties(java.util.Properties p)` Set properties
`void` | `userPick(java.util.List<Individual> operands)`

Methods inherited from class Operator.Operations.SelectionOperation
`getSelectedPopulation, getSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserSelect

    public UserSelect(int size,
                      int pickSize)

  Creates a new instance of TournamentSelect

  Parameters:
    `size` - size of selected population
    `pickSize` - size of population to pick from

### UserSelect

    public UserSelect()

  New instantion

Method Detail

### setProperties

    public void setProperties(java.util.Properties p)

  Description copied from class: `SelectionOperation`
  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Overrides:
    `setProperties` in class `SelectionOperation`
  Parameters:
    `p` - object containing properties

### doOperation

    public void doOperation(Individual operand)

  Description copied from interface: `Operation`
  Performs the operation on an operand

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `SelectionOperation`
  Parameters:
    `operand` - operand to perform operation on

### doOperation

    public void doOperation(java.util.List<Individual> operands)

  Description copied from interface: `Operation`
  Performs the operation on the list passed

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `SelectionOperation`
  Parameters:
    `operands` - Individuals to be selected from

### userPick

    public void userPick(java.util.List<Individual> operands)

### display

    protected void display(java.util.List<Individual> operands)

### select

    protected abstract void select(java.util.List<Individual> operands)

### defaultSelect

    protected void defaultSelect(java.util.List<Individual> operands)

### enableDone

    protected void enableDone(boolean enable)

### getPanel

    protected javax.swing.JPanel getPanel()

### gridAdd

    protected static void gridAdd(java.awt.Container container,
                                  java.awt.Container control,
                                  int gridX,
                                  int gridY,
                                  double weightX)

  gridAdd(Container, Container, int, int, int, int, double, double) overload. When calling on gridAdd(..), gridW and gridH are set to 1, and weightY is set to 0

  Parameters:
    `container` - The control to add control to
    `control` - The control being added to container
    `gridX` - The grid column to add the control
    `gridY` - The grid row to add the control
    `weightX` - The amount of horizontal space this column should take relative to other columns

### gridAdd

    protected static void gridAdd(java.awt.Container container,
                                  java.awt.Container control,
                                  int gridX,
                                  int gridY,
                                  int gridW,
                                  int gridH,
                                  double weightX,
                                  double weightY)

  Helper for adding a control to a GridBagLayout control

  Parameters:
    `container` - The control to add control to
    `control` - The control being added to container
    `gridX` - The grid column to add the control
    `gridY` - The grid row to add the control
    `gridW` - The number of columns to span
    `gridH` - The number of rows to span
    `weightX` - The amount of horizontal space this column should take relative to other columns
    `weightY` - The amount of vertical space this column should take relative to other rows

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD